org.jbpm.casemgmt.api.model.instance

## Enum StageStatus

- java.lang.Object
- - java.lang.Enum<StageStatus>
  - - org.jbpm.casemgmt.api.model.instance.StageStatus

- All Implemented Interfaces:
    Serializable, Comparable<StageStatus>

      public enum StageStatus
      extends Enum<StageStatus>

  Represents possible states of a case stage

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Active`
    `Available`
    `Canceled`
    `Completed`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StageStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StageStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Available

          public static final StageStatus Available

    - #### Active

          public static final StageStatus Active

    - #### Completed

          public static final StageStatus Completed

    - #### Canceled

          public static final StageStatus Canceled

  - ### Method Detail

    - #### values

          public static StageStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StageStatus c : StageStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StageStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.